---
title: Links
---

### Links

Links are stream entries that belong to a menu. Links use extensions called `link type extensions` to define how they work.


#### Link Fields

Below is a list of `fields` in the `links` stream. Fields are accessed as attributes:

    $link->title;

Same goes for decorated instances in Twig:

    {{ link.title }}

###### Fields

<table class="table table-bordered table-striped">

<thead>

<tr>

<th>Key</th>

<th>Required</th>

<th>Type</th>

<th>Default</th>

<th>Description</th>

</tr>

</thead>

<tbody>

<tr>

<td>

menu

</td>

<td>

true

</td>

<td>

relationship

</td>

<td>

none

</td>

<td>

The related menu.

</td>

</tr>

<tr>

<td>

type

</td>

<td>

true

</td>

<td>

addon

</td>

<td>

none

</td>

<td>

The link type extension.

</td>

</tr>

<tr>

<td>

entry

</td>

<td>

true

</td>

<td>

polymorphic

</td>

<td>

none

</td>

<td>

The related link information per link type.

</td>

</tr>

<tr>

<td>

target

</td>

<td>

true

</td>

<td>

select

</td>

<td>

none

</td>

<td>

The link's target attribute.

</td>

</tr>

<tr>

<td>

class

</td>

<td>

false

</td>

<td>

text

</td>

<td>

null

</td>

<td>

The link class.

</td>

</tr>

<tr>

<td>

parent

</td>

<td>

false

</td>

<td>

relationship

</td>

<td>

null

</td>

<td>

The related parent link.

</td>

</tr>

<tr>

<td>

allowed_roles

</td>

<td>

false

</td>

<td>

multiple

</td>

<td>

null

</td>

<td>

The user roles allowed to view the link.

</td>

</tr>

</tbody>

</table>


#### Link Interface

This section will go over the `\Anomaly\NavigationModule\Link\Contract\LinkInterface` class.


##### LinkInterface::getUrl()

The `getUrl` method returns the link's URL via it's `extension`.

###### Returns: `string`

###### Example

    $link->getUrl();

###### Twig

    {{ link.getUrl() }}


##### LinkInterface::getTitle()

The `getTitle` returns the link title via it's `extension`.

###### Returns: `string`

###### Example

    $link->getTitle();

###### Twig

    {{ link.getTitle() }}

